diff options
| author | torben | 2016-03-01 17:26:18 +0100 |
|---|---|---|
| committer | torben | 2016-03-01 17:26:18 +0100 |
| commit | 0c9c06183e4708607fbd7141e583d43a4e0a20d5 (patch) | |
| tree | 876170a487364ad73814088d0249f2af97f89f85 | |
| parent | Make hooks executable. (diff) | |
| download | systemd-init-0c9c06183e4708607fbd7141e583d43a4e0a20d5.tar.gz systemd-init-0c9c06183e4708607fbd7141e583d43a4e0a20d5.tar.xz systemd-init-0c9c06183e4708607fbd7141e583d43a4e0a20d5.zip | |
Remove unneeded hook files.
| -rwxr-xr-x | builder/dnbd3-rootfs/hooks/configure-emergency-shell.sh | 25 | ||||
| -rwxr-xr-x | builder/dnbd3-rootfs/hooks/mount-tmp.sh | 40 |
2 files changed, 0 insertions, 65 deletions
diff --git a/builder/dnbd3-rootfs/hooks/configure-emergency-shell.sh b/builder/dnbd3-rootfs/hooks/configure-emergency-shell.sh deleted file mode 100755 index c3ad1977..00000000 --- a/builder/dnbd3-rootfs/hooks/configure-emergency-shell.sh +++ /dev/null @@ -1,25 +0,0 @@ -#!/usr/bin/env bash -# region imports -type getarg >/dev/null 2>&1 || source /lib/dracut-lib.sh -source "/usr/lib/rebash/core.sh" -core.import exceptions -exceptions.activate -core.import utils -core.import logging -# endregion -( # subshell for variable scoping -logging.set_commands_level debug -logging.set_level debug - -temporary_file="$(mktemp)" -cat '/etc/bash.bashrc' '/etc/profile' >"$temporary_file" -mv "$temporary_file" '/etc/profile' - -) || exit $? -exceptions.deactivate -# region vim modline - -# vim: set tabstop=4 shiftwidth=4 expandtab: -# vim: foldmethod=marker foldmarker=region,endregion: - -# endregion diff --git a/builder/dnbd3-rootfs/hooks/mount-tmp.sh b/builder/dnbd3-rootfs/hooks/mount-tmp.sh deleted file mode 100755 index c1366877..00000000 --- a/builder/dnbd3-rootfs/hooks/mount-tmp.sh +++ /dev/null @@ -1,40 +0,0 @@ -# This script only checks if we found a usable partition for the -# future /tmp. The discovery of that partition is done by udev during -# the initqueue. If a valid partition is found (either GPT with the label -# OPENSLX_TMP or MBR with the type 0x44) its path will be written to -# /tmp/openslx.tmpdisk -OPENSLX_TMP_DISK_FLAG="/tmp/openslx.disk.tmp" - -if [ ! -e "$OPENSLX_TMP_DISK_FLAG" ]; then - warn "'$OPENSLX_TMP_DISK_FLAG' not found!" - warn "Systemd will manage $NEWROOT/tmp on its own." - # no partition for the future /tmp found, just - # let systemd manage it then (probably a tmpfs) - return 1 -fi - -# in /tmp/openslx.disk.tmp is the name of the device -# to mount as /tmp in the real system -# meaning we need to mount it to /sysroot/tmp here. - -OPENSLX_TMP_DISK_DEV="$(cat $OPENSLX_TMP_DISK_FLAG)" - -# sanity check: is the content a block device? -if [ ! -b "$OPENSLX_TMP_DISK_DEV" ]; then - warn "'$OPENSLX_TMP_DISK_DEV' appears not to be a block device!" - warn "Systemd will manage $NEWROOT/tmp on its own." - return 1 -fi - -# all good, keep on -if ! mount -t auto "$OPENSLX_TMP_DISK_DEV" $NEWROOT/tmp; then - # something else went wrong :( - warn "Mounting '$OPENSLX_TMP_DISK_DEV' to '$NEWROOT/tmp' failed with: $!" - warn "Systemd will manage $NEWROOT/tmp on its own." - return 1 -fi - -# still here? mount worked wohoo -# set permissions -chmod a+rwxt $NEWROOT/tmp -return 0 |
